<html>
<head>
<title>Ogre::Terrain::ImportData Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html">ImportData</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Terrain::ImportData Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Terrain::ImportData" -->
<p>Structure encapsulating import data that you may use to bootstrap the terrain without loading from a native data stream.  
 <a href="structOgre_1_1Terrain_1_1ImportData.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>&gt;</code></p>

<p><a href="structOgre_1_1Terrain_1_1ImportData-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a4051612dde80d254c9761343a66bf47e">ImportData</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a94c34664786d5059f7a9ef36e061890e">ImportData</a> (const <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html">ImportData</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html">ImportData</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#aabbbf63a35790a9b414acaa1e20baf93">operator=</a> (const <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html">ImportData</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a7a5f66953eabbc5221f36ee476f98d47">destroy</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete any input data if this struct is set to do so.  <a href="#a7a5f66953eabbc5221f36ee476f98d47"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#ab44221d85f1c10b8c2be75b476d89440">~ImportData</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Terrain.html#aca4fcebfb7ed4684682347d325477e91">Alignment</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a9cc48b1e14f6974f46bf9da947f8fc76">terrainAlign</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The alignment of the terrain.  <a href="#a9cc48b1e14f6974f46bf9da947f8fc76"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a0b5bc1f24bcc9003e5ed0ccb850711f8">terrainSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Terrain.html" title="The main containing class for a chunk of terrain.">Terrain</a> size (along one edge) in vertices; must be 2^n+1.  <a href="#a0b5bc1f24bcc9003e5ed0ccb850711f8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#acebf6cfa7dcb63b4725ed1dc2e63a9f2">maxBatchSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum batch size (along one edge) in vertices; must be 2^n+1 and &lt;= 65.  <a href="#acebf6cfa7dcb63b4725ed1dc2e63a9f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a60b1682048188053cc885097eb2383c6">minBatchSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimum batch size (along one edge) in vertices; must be 2^n+1.  <a href="#a60b1682048188053cc885097eb2383c6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#ade0d3e9baacc9408bc08ce2531f177b4">pos</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Position of the terrain.  <a href="#ade0d3e9baacc9408bc08ce2531f177b4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a43509d8a986b1b733d010300487425a5">worldSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The world size of the terrain.  <a href="#a43509d8a986b1b733d010300487425a5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Image.html">Image</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a61b189d3b9768810d747f35f7d141e79">inputImage</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional heightmap providing the initial heights for the terrain.  <a href="#a61b189d3b9768810d747f35f7d141e79"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#aaab91a388f7bab0e1d00a858bbeb5902">inputFloat</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional list of terrainSize * terrainSize floats defining the terrain.  <a href="#aaab91a388f7bab0e1d00a858bbeb5902"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a210633812bf4ae671e19736a934079b3">constantHeight</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">If neither inputImage or inputFloat are supplied, the constant height at which the initial terrain should be created (flat).  <a href="#a210633812bf4ae671e19736a934079b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#ab5bbdf7852ee1d2192c421c17df237e7">deleteInputData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether this structure should 'own' the input data (inputImage and inputFloat), and therefore delete it on destruction.  <a href="#ab5bbdf7852ee1d2192c421c17df237e7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#ae97c725c89e0c789e5099fd387953020">inputScale</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">How to scale the input values provided (if any)  <a href="#ae97c725c89e0c789e5099fd387953020"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#aa92240ffea408a3ff250e8e8233789bb">inputBias</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">How to bias the input values provided (if any)  <a href="#aa92240ffea408a3ff250e8e8233789bb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1TerrainLayerDeclaration.html">TerrainLayerDeclaration</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#ae3203cf7a78bd3ed0cd75ffe3c107a2e">layerDeclaration</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Definition of the contents of each layer (required).  <a href="#ae3203cf7a78bd3ed0cd75ffe3c107a2e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Terrain.html#a7f4f256f962849538b8e46eebd6da94c">LayerInstanceList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a3d892ce610f8e6aec873528d042fe72b">layerList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List of layer structures, one for each layer required.  <a href="#a3d892ce610f8e6aec873528d042fe72b"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Structure encapsulating import data that you may use to bootstrap the terrain without loading from a native data stream. </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00318">318</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4051612dde80d254c9761343a66bf47e"></a><!-- doxytag: member="Ogre::Terrain::ImportData::ImportData" ref="a4051612dde80d254c9761343a66bf47e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a4051612dde80d254c9761343a66bf47e">Ogre::Terrain::ImportData::ImportData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00394">394</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<a class="anchor" id="a94c34664786d5059f7a9ef36e061890e"></a><!-- doxytag: member="Ogre::Terrain::ImportData::ImportData" ref="a94c34664786d5059f7a9ef36e061890e" args="(const ImportData &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a4051612dde80d254c9761343a66bf47e">Ogre::Terrain::ImportData::ImportData</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html">ImportData</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00411">411</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab44221d85f1c10b8c2be75b476d89440"></a><!-- doxytag: member="Ogre::Terrain::ImportData::~ImportData" ref="ab44221d85f1c10b8c2be75b476d89440" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#ab44221d85f1c10b8c2be75b476d89440">Ogre::Terrain::ImportData::~ImportData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00482">482</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7a5f66953eabbc5221f36ee476f98d47"></a><!-- doxytag: member="Ogre::Terrain::ImportData::destroy" ref="a7a5f66953eabbc5221f36ee476f98d47" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a7a5f66953eabbc5221f36ee476f98d47">Ogre::Terrain::ImportData::destroy</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete any input data if this struct is set to do so. </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00470">470</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>References <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00163">Ogre::MEMCATEGORY_GEOMETRY</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00472">OGRE_DELETE</a>, and <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00428">OGRE_FREE</a>.</p>

</div>
</div>
<a class="anchor" id="aabbbf63a35790a9b414acaa1e20baf93"></a><!-- doxytag: member="Ogre::Terrain::ImportData::operator=" ref="aabbbf63a35790a9b414acaa1e20baf93" args="(const ImportData &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html">ImportData</a>&amp; Ogre::Terrain::ImportData::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html">ImportData</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00428">428</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>References <a class="el" href="OgreTerrain_8h_source.html#l00367">constantHeight</a>, <a class="el" href="OgreTerrain_8h_source.html#l00376">deleteInputData</a>, <a class="el" href="OgreTerrain_8h_source.html#l00381">inputBias</a>, <a class="el" href="OgreTerrain_8h_source.html#l00362">inputFloat</a>, <a class="el" href="OgreTerrain_8h_source.html#l00356">inputImage</a>, <a class="el" href="OgreTerrain_8h_source.html#l00379">inputScale</a>, <a class="el" href="OgreTerrain_8h_source.html#l00387">layerDeclaration</a>, <a class="el" href="OgreTerrain_8h_source.html#l00392">layerList</a>, <a class="el" href="OgreTerrain_8h_source.html#l00329">maxBatchSize</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00163">Ogre::MEMCATEGORY_GEOMETRY</a>, <a class="el" href="OgreTerrain_8h_source.html#l00340">minBatchSize</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00426">OGRE_ALLOC_T</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00471">OGRE_NEW</a>, <a class="el" href="OgreTerrain_8h_source.html#l00346">pos</a>, <a class="el" href="OgreTerrain_8h_source.html#l00321">terrainAlign</a>, <a class="el" href="OgreTerrain_8h_source.html#l00323">terrainSize</a>, and <a class="el" href="OgreTerrain_8h_source.html#l00349">worldSize</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a210633812bf4ae671e19736a934079b3"></a><!-- doxytag: member="Ogre::Terrain::ImportData::constantHeight" ref="a210633812bf4ae671e19736a934079b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a210633812bf4ae671e19736a934079b3">Ogre::Terrain::ImportData::constantHeight</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>If neither inputImage or inputFloat are supplied, the constant height at which the initial terrain should be created (flat). </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00367">367</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrain_8h_source.html#l00428">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="ab5bbdf7852ee1d2192c421c17df237e7"></a><!-- doxytag: member="Ogre::Terrain::ImportData::deleteInputData" ref="ab5bbdf7852ee1d2192c421c17df237e7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#ab5bbdf7852ee1d2192c421c17df237e7">Ogre::Terrain::ImportData::deleteInputData</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Whether this structure should 'own' the input data (inputImage and inputFloat), and therefore delete it on destruction. </p>
<p>The default is false so you have to manage your own memory. If you set it to true, then you must have allocated the memory through OGRE_NEW (for <a class="el" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a>) and OGRE_ALLOC_T (for inputFloat), the latter with the category MEMCATEGORY_GEOMETRY. </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00376">376</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrain_8h_source.html#l00428">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="aa92240ffea408a3ff250e8e8233789bb"></a><!-- doxytag: member="Ogre::Terrain::ImportData::inputBias" ref="aa92240ffea408a3ff250e8e8233789bb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#aa92240ffea408a3ff250e8e8233789bb">Ogre::Terrain::ImportData::inputBias</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>How to bias the input values provided (if any) </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00381">381</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrain_8h_source.html#l00428">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="aaab91a388f7bab0e1d00a858bbeb5902"></a><!-- doxytag: member="Ogre::Terrain::ImportData::inputFloat" ref="aaab91a388f7bab0e1d00a858bbeb5902" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float* <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#aaab91a388f7bab0e1d00a858bbeb5902">Ogre::Terrain::ImportData::inputFloat</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Optional list of terrainSize * terrainSize floats defining the terrain. </p>
<p>The list of floats wil be interpreted such that the first row in the array equates to the bottom row of vertices. </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00362">362</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrain_8h_source.html#l00428">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="a61b189d3b9768810d747f35f7d141e79"></a><!-- doxytag: member="Ogre::Terrain::ImportData::inputImage" ref="a61b189d3b9768810d747f35f7d141e79" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Image.html">Image</a>* <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a61b189d3b9768810d747f35f7d141e79">Ogre::Terrain::ImportData::inputImage</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Optional heightmap providing the initial heights for the terrain. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If supplied, should ideally be terrainSize * terrainSize, but if it isn't it will be resized. </dd></dl>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00356">356</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrain_8h_source.html#l00428">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="ae97c725c89e0c789e5099fd387953020"></a><!-- doxytag: member="Ogre::Terrain::ImportData::inputScale" ref="ae97c725c89e0c789e5099fd387953020" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#ae97c725c89e0c789e5099fd387953020">Ogre::Terrain::ImportData::inputScale</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>How to scale the input values provided (if any) </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00379">379</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrain_8h_source.html#l00428">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="ae3203cf7a78bd3ed0cd75ffe3c107a2e"></a><!-- doxytag: member="Ogre::Terrain::ImportData::layerDeclaration" ref="ae3203cf7a78bd3ed0cd75ffe3c107a2e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TerrainLayerDeclaration.html">TerrainLayerDeclaration</a> <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#ae3203cf7a78bd3ed0cd75ffe3c107a2e">Ogre::Terrain::ImportData::layerDeclaration</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition of the contents of each layer (required). </p>
<p>Most likely, you will pull a declaration from a <a class="el" href="classOgre_1_1TerrainMaterialGenerator.html" title="Class that provides functionality to generate materials for use with a terrain.">TerrainMaterialGenerator</a> of your choice. </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00387">387</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrain_8h_source.html#l00428">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="a3d892ce610f8e6aec873528d042fe72b"></a><!-- doxytag: member="Ogre::Terrain::ImportData::layerList" ref="a3d892ce610f8e6aec873528d042fe72b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Terrain.html#a7f4f256f962849538b8e46eebd6da94c">LayerInstanceList</a> <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a3d892ce610f8e6aec873528d042fe72b">Ogre::Terrain::ImportData::layerList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>List of layer structures, one for each layer required. </p>
<p>Can be empty or underfilled if required, list will be padded with blank textures. </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00392">392</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrain_8h_source.html#l00428">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="acebf6cfa7dcb63b4725ed1dc2e63a9f2"></a><!-- doxytag: member="Ogre::Terrain::ImportData::maxBatchSize" ref="acebf6cfa7dcb63b4725ed1dc2e63a9f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#acebf6cfa7dcb63b4725ed1dc2e63a9f2">Ogre::Terrain::ImportData::maxBatchSize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Maximum batch size (along one edge) in vertices; must be 2^n+1 and &lt;= 65. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The terrain will be divided into hierarchical tiles, and this is the maximum size of one tile in vertices (at any LOD). </dd></dl>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00329">329</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrain_8h_source.html#l00428">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="a60b1682048188053cc885097eb2383c6"></a><!-- doxytag: member="Ogre::Terrain::ImportData::minBatchSize" ref="a60b1682048188053cc885097eb2383c6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a60b1682048188053cc885097eb2383c6">Ogre::Terrain::ImportData::minBatchSize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Minimum batch size (along one edge) in vertices; must be 2^n+1. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The terrain will be divided into tiles, and this is the minimum size of one tile in vertices (at any LOD). Adjacent tiles will be collected together into one batch to drop LOD levels once they are individually at this minimum, so setting this value higher means greater batching at the expense of making adjacent tiles use a common LOD. Once the entire terrain is collected together into one batch this effectively sets the minimum LOD. </dd></dl>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00340">340</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrain_8h_source.html#l00428">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="ade0d3e9baacc9408bc08ce2531f177b4"></a><!-- doxytag: member="Ogre::Terrain::ImportData::pos" ref="ade0d3e9baacc9408bc08ce2531f177b4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#ade0d3e9baacc9408bc08ce2531f177b4">Ogre::Terrain::ImportData::pos</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Position of the terrain. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Represents the position of the centre of the terrain. </dd></dl>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00346">346</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrain_8h_source.html#l00428">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="a9cc48b1e14f6974f46bf9da947f8fc76"></a><!-- doxytag: member="Ogre::Terrain::ImportData::terrainAlign" ref="a9cc48b1e14f6974f46bf9da947f8fc76" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Terrain.html#aca4fcebfb7ed4684682347d325477e91">Alignment</a> <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a9cc48b1e14f6974f46bf9da947f8fc76">Ogre::Terrain::ImportData::terrainAlign</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The alignment of the terrain. </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00321">321</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrain_8h_source.html#l00428">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="a0b5bc1f24bcc9003e5ed0ccb850711f8"></a><!-- doxytag: member="Ogre::Terrain::ImportData::terrainSize" ref="a0b5bc1f24bcc9003e5ed0ccb850711f8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a0b5bc1f24bcc9003e5ed0ccb850711f8">Ogre::Terrain::ImportData::terrainSize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Terrain.html" title="The main containing class for a chunk of terrain.">Terrain</a> size (along one edge) in vertices; must be 2^n+1. </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00323">323</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrain_8h_source.html#l00428">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="a43509d8a986b1b733d010300487425a5"></a><!-- doxytag: member="Ogre::Terrain::ImportData::worldSize" ref="a43509d8a986b1b733d010300487425a5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Terrain_1_1ImportData.html#a43509d8a986b1b733d010300487425a5">Ogre::Terrain::ImportData::worldSize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The world size of the terrain. </p>

<p>Definition at line <a class="el" href="OgreTerrain_8h_source.html#l00349">349</a> of file <a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrain_8h_source.html#l00428">operator=()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTerrain_8h_source.html">OgreTerrain.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
